> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/retailers/oauth-retailer-flow.md).

# OAuth Retailer Flow

<mark style="color:blue;">`GET`</mark> `http://login.whisk.com/retailers/oauth/v2/authorize`

#### Path Parameters

| Name            | Type   | Description                              |
| --------------- | ------ | ---------------------------------------- |
| retailer\*      | string | Retailer graph id or name                |
| redirect\_uri\* | string | Url to redirect user after authorization |

{% tabs %}
{% tab title="200 " %}

```
 
```

{% endtab %}
{% endtabs %}

Some retailers (e.g., Kroger) use OAuth to grant access for checkout. Whisk provides uniform OAuth flow for these retailers:

1. Your application navigates the user to Whisk's authorization endpoint, passing `retailer`and `redirect_uri`query parameters e.g.,`http://login.whisk.com/retailers/oauth/v2/authorize?retailer=kroger&redirect_uri=http://example.com/oauth/callback`
2. Whisk redirects user to the retailer login page, where they prompt their credentials
3. User is redirected to the callback url passed in `redirect_uri`query parameter with `token`parameter appended, e.g., `http://example.com/oauth/callback?token=d0a2bb8e24b54bb9a3a17f039070ac0f`
4. Now `token`can be used to perform [checkout](/master/api/carts/checkout.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/retailers/oauth-retailer-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
